Modify

Opened 2 years ago

Closed 2 years ago

#14009 closed defect (fixed)

Problems when fetching http://wms.misek.pl/geoportal.orto/

Reported by: Klumbumbus Owned by: stoecker
Priority: normal Milestone:
Component: Trac Version:
Keywords: template_report Cc:

Description (last modified by Klumbumbus)

What steps will reproduce the problem?

  1. add custom TMS source with the following URL. http://wms.misek.pl/geoportal.orto/tms/{zoom}/{x}/{y}
  2. add this layer

What is the expected result?

What happens instead?

tiles don't load I only see the hourglass icon

Please provide any additional information below. Attach a screenshot if possible.

The tile info displays the dorrect URL of the single tiles (e.g. http://wms.misek.pl/geoportal.orto/tms/14/9012/5368), which load fine in an external browser,however it seems JOSM redirects to an WMS sourde according to the console output. Why does it redirect?


console output:

Nov 19, 2016 6:28:31 PM org.openstreetmap.josm.Main info
INFO: AbstractTileSourceLayer: estimated visible tiles: 48, estimated cache size: 192
Nov 19, 2016 6:28:31 PM org.openstreetmap.josm.Main info
INFO: AbstractTileSourceLayer: estimated visible tiles: 48, estimated cache size: 192
Nov 19, 2016 6:28:31 PM org.openstreetmap.josm.Main info
INFO: AbstractTileSourceLayer: estimated visible tiles: 48, estimated cache size: 192
Nov 19, 2016 6:28:31 PM org.openstreetmap.josm.Main info
INFO: Allocate for tile source layer: 48 MB of memory. Available: 820 MB.
Nov 19, 2016 6:28:31 PM org.openstreetmap.josm.Main info
INFO: GET http://wms.misek.pl/geoportal.orto/tms/14/8607/5269 -> 302 (20 B)
Nov 19, 2016 6:28:31 PM org.openstreetmap.josm.Main info
INFO: Download redirected to 'http://mapy.geoportal.gov.pl/wss/service/img/guest/ORTO/MapServer/WMSServer?STYLES=default&SERVICE=WMS&FORMAT=image/jpeg&REQUEST=GetMap&HEIGHT=256&WIDTH=256&VERSION=1.1.1&BBOX=9.11865234375,53.8784404033,9.140625,53.8913912858&LAYERS=Raster&SRS=EPSG:4326&EXCEPTIONS=application/vnd.ogc.se_inimage&TRANSPARENT=false'
Nov 19, 2016 6:28:31 PM org.openstreetmap.josm.Main info
INFO: GET http://wms.misek.pl/geoportal.orto/tms/14/8608/5269 -> 302 (20 B)
Nov 19, 2016 6:28:31 PM org.openstreetmap.josm.Main info
INFO: Download redirected to 'http://mapy.geoportal.gov.pl/wss/service/img/guest/ORTO/MapServer/WMSServer?STYLES=default&SERVICE=WMS&FORMAT=image/jpeg&REQUEST=GetMap&HEIGHT=256&WIDTH=256&VERSION=1.1.1&BBOX=9.140625,53.8784404033,9.16259765625,53.8913912858&LAYERS=Raster&SRS=EPSG:4326&EXCEPTIONS=application/vnd.ogc.se_inimage&TRANSPARENT=false'
Nov 19, 2016 6:28:31 PM org.openstreetmap.josm.Main info
INFO: GET http://wms.misek.pl/geoportal.orto/tms/14/8610/5269 -> 302 (20 B)
Nov 19, 2016 6:28:31 PM org.openstreetmap.josm.Main info
INFO: Download redirected to 'http://mapy.geoportal.gov.pl/wss/service/img/guest/ORTO/MapServer/WMSServer?STYLES=default&SERVICE=WMS&FORMAT=image/jpeg&REQUEST=GetMap&HEIGHT=256&WIDTH=256&VERSION=1.1.1&BBOX=9.1845703125,53.8784404033,9.20654296875,53.8913912858&LAYERS=Raster&SRS=EPSG:4326&EXCEPTIONS=application/vnd.ogc.se_inimage&TRANSPARENT=false'
Nov 19, 2016 6:28:31 PM org.openstreetmap.josm.Main info
INFO: GET http://wms.misek.pl/geoportal.orto/tms/14/8609/5269 -> 302 (20 B)
Nov 19, 2016 6:28:31 PM org.openstreetmap.josm.Main info
INFO: Download redirected to 'http://mapy.geoportal.gov.pl/wss/service/img/guest/ORTO/MapServer/WMSServer?STYLES=default&SERVICE=WMS&FORMAT=image/jpeg&REQUEST=GetMap&HEIGHT=256&WIDTH=256&VERSION=1.1.1&BBOX=9.16259765625,53.8784404033,9.1845703125,53.8913912858&LAYERS=Raster&SRS=EPSG:4326&EXCEPTIONS=application/vnd.ogc.se_inimage&TRANSPARENT=false'
Nov 19, 2016 6:28:31 PM org.openstreetmap.josm.Main info
INFO: GET http://wms.misek.pl/geoportal.orto/tms/14/8609/5270 -> 302 (20 B)
Nov 19, 2016 6:28:31 PM org.openstreetmap.josm.Main info
INFO: Download redirected to 'http://mapy.geoportal.gov.pl/wss/service/img/guest/ORTO/MapServer/WMSServer?STYLES=default&SERVICE=WMS&FORMAT=image/jpeg&REQUEST=GetMap&HEIGHT=256&WIDTH=256&VERSION=1.1.1&BBOX=9.16259765625,53.8654855084,9.1845703125,53.8784404033&LAYERS=Raster&SRS=EPSG:4326&EXCEPTIONS=application/vnd.ogc.se_inimage&TRANSPARENT=false'
Nov 19, 2016 6:28:31 PM org.openstreetmap.josm.Main info
INFO: GET http://wms.misek.pl/geoportal.orto/tms/14/8609/5268 -> 302 (20 B)
Nov 19, 2016 6:28:31 PM org.openstreetmap.josm.Main info
INFO: Download redirected to 'http://mapy.geoportal.gov.pl/wss/service/img/guest/ORTO/MapServer/WMSServer?STYLES=default&SERVICE=WMS&FORMAT=image/jpeg&REQUEST=GetMap&HEIGHT=256&WIDTH=256&VERSION=1.1.1&BBOX=9.16259765625,53.8913912858,9.1845703125,53.9043381563&LAYERS=Raster&SRS=EPSG:4326&EXCEPTIONS=application/vnd.ogc.se_inimage&TRANSPARENT=false'
Nov 19, 2016 6:28:31 PM org.openstreetmap.josm.Main info
INFO: GET http://mapy.geoportal.gov.pl/wss/service/img/guest/ORTO/MapServer/WMSServer?STYLES=default&SERVICE=WMS&FORMAT=image/jpeg&REQUEST=GetMap&HEIGHT=256&WIDTH=256&VERSION=1.1.1&BBOX=9.11865234375,53.8784404033,9.140625,53.8913912858&LAYERS=Raster&SRS=EPSG:4326&EXCEPTIONS=application/vnd.ogc.se_inimage&TRANSPARENT=false -> 200
Nov 19, 2016 6:28:31 PM org.openstreetmap.josm.Main info
INFO: GET http://mapy.geoportal.gov.pl/wss/service/img/guest/ORTO/MapServer/WMSServer?STYLES=default&SERVICE=WMS&FORMAT=image/jpeg&REQUEST=GetMap&HEIGHT=256&WIDTH=256&VERSION=1.1.1&BBOX=9.140625,53.8784404033,9.16259765625,53.8913912858&LAYERS=Raster&SRS=EPSG:4326&EXCEPTIONS=application/vnd.ogc.se_inimage&TRANSPARENT=false -> 200
Nov 19, 2016 6:28:32 PM org.openstreetmap.josm.Main info
INFO: GET http://mapy.geoportal.gov.pl/wss/service/img/guest/ORTO/MapServer/WMSServer?STYLES=default&SERVICE=WMS&FORMAT=image/jpeg&REQUEST=GetMap&HEIGHT=256&WIDTH=256&VERSION=1.1.1&BBOX=9.1845703125,53.8784404033,9.20654296875,53.8913912858&LAYERS=Raster&SRS=EPSG:4326&EXCEPTIONS=application/vnd.ogc.se_inimage&TRANSPARENT=false -> 200
Nov 19, 2016 6:28:32 PM org.openstreetmap.josm.Main info
INFO: GET http://mapy.geoportal.gov.pl/wss/service/img/guest/ORTO/MapServer/WMSServer?STYLES=default&SERVICE=WMS&FORMAT=image/jpeg&REQUEST=GetMap&HEIGHT=256&WIDTH=256&VERSION=1.1.1&BBOX=9.16259765625,53.8784404033,9.1845703125,53.8913912858&LAYERS=Raster&SRS=EPSG:4326&EXCEPTIONS=application/vnd.ogc.se_inimage&TRANSPARENT=false -> 200
Nov 19, 2016 6:28:32 PM org.openstreetmap.josm.Main info
INFO: GET http://mapy.geoportal.gov.pl/wss/service/img/guest/ORTO/MapServer/WMSServer?STYLES=default&SERVICE=WMS&FORMAT=image/jpeg&REQUEST=GetMap&HEIGHT=256&WIDTH=256&VERSION=1.1.1&BBOX=9.16259765625,53.8654855084,9.1845703125,53.8784404033&LAYERS=Raster&SRS=EPSG:4326&EXCEPTIONS=application/vnd.ogc.se_inimage&TRANSPARENT=false -> 200
Nov 19, 2016 6:28:32 PM org.openstreetmap.josm.Main info
INFO: GET http://mapy.geoportal.gov.pl/wss/service/img/guest/ORTO/MapServer/WMSServer?STYLES=default&SERVICE=WMS&FORMAT=image/jpeg&REQUEST=GetMap&HEIGHT=256&WIDTH=256&VERSION=1.1.1&BBOX=9.16259765625,53.8913912858,9.1845703125,53.9043381563&LAYERS=Raster&SRS=EPSG:4326&EXCEPTIONS=application/vnd.ogc.se_inimage&TRANSPARENT=false -> 200
Nov 19, 2016 6:28:32 PM org.openstreetmap.josm.Main info
INFO: GET http://wms.misek.pl/geoportal.orto/tms/14/8607/5267 -> 302 (20 B)
Nov 19, 2016 6:28:32 PM org.openstreetmap.josm.Main info
INFO: Download redirected to 'http://mapy.geoportal.gov.pl/wss/service/img/guest/ORTO/MapServer/WMSServer?STYLES=default&SERVICE=WMS&FORMAT=image/jpeg&REQUEST=GetMap&HEIGHT=256&WIDTH=256&VERSION=1.1.1&BBOX=9.11865234375,53.9043381563,9.140625,53.9172810155&LAYERS=Raster&SRS=EPSG:4326&EXCEPTIONS=application/vnd.ogc.se_inimage&TRANSPARENT=false'
Nov 19, 2016 6:28:32 PM org.openstreetmap.josm.Main info
INFO: GET http://wms.misek.pl/geoportal.orto/tms/14/8608/5266 -> 302 (20 B)

URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2016-11-18 22:42:23 +0100 (Fri, 18 Nov 2016)
Build-Date:2016-11-19 02:35:18
Revision:11283
Relative:URL: ^/trunk

Identification: JOSM/1.5 (11283 en) Windows 7 32-Bit
Memory Usage: 369 MB / 870 MB (195 MB allocated, but free)
Java version: 1.8.0_111-b14, Oracle Corporation, Java HotSpot(TM) Client VM
Screen: \Display0 1680x1050
Maximum Screen Size: 1680x1050
VM arguments: [-Djava.security.manager, -Djava.security.policy=file:<java.home>\lib\security\javaws.policy, -DtrustProxy=true, -Djnlpx.home=<java.home>\bin, -Djnlpx.origFilenameArg=C:\Program Files\josm-latest-bla.jnlp, -Djnlpx.remove=false, -Djava.util.Arrays.useLegacyMergeSort=true, -Djnlpx.heapsize=256m,900m, -Djnlpx.splashport=52299, -Djnlpx.jvm=<java.home>\bin\javaw.exe, -Djnlpx.vmargs=LURqYXZhLnV0aWwuQXJyYXlzLnVzZUxlZ2FjeU1lcmdlU29ydD10cnVlAA==]

Plugins:
+ AddrInterpolation (32699)
+ DirectDownload (32699)
+ DirectUpload (32699)
+ HouseNumberTaggingTool (32699)
+ Mapillary (v1.3.2)
+ OpeningHoursEditor (32699)
+ alignways (32921)
+ apache-commons (32699)
+ apache-http (32699)
+ buildings_tools (32944)
+ contourmerge (1030)
+ editgpx (32699)
+ imagery-xml-bounds (32699)
+ imagery_offset_db (32796)
+ log4j (32699)
+ measurement (32936)
+ osm-obj-info (1468276210)
+ photo_geotagging (32699)
+ photoadjust (32863)
+ reltoolbox (33060)
+ reverter (32796)
+ tag2link (33035)
+ tageditor (33021)
+ tagging-preset-tester (32869)
+ terracer (33031)
+ turnlanes-tagging (252)
+ turnrestrictions (32796)
+ undelete (32699)
+ utilsplugin2 (32815)
+ wikipedia (33070)

Tagging presets:
+ https://josm.openstreetmap.de/josmfile?page=Presets/OneClick&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/StolpersteineLight&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/NewTags&zip=1
+ D:\<user.name>\OSM\JOSMSVN\data\defaultpresets.xml
+ https://raw.githubusercontent.com/yopaseopor/traffic_signs_preset_JOSM/master/DE.zip

Map paint styles:
+ D:\<user.name>\OSM\JOSMSVN\styles\standard\elemstyles.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/HiDPISupport&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Coloured_Streets&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Maxspeed&zip=1
- D:\<user.name>\OSM\eigene styles\maxspeed\maxspeed_2.8_01 zeige richtungspfeile.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/Lane_and_Road_Attributes&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/sac_scale&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/ShowID&zip=1
- D:\<user.name>\OSM\eigene styles\PriorityRoad\PriorityRoad_1.0.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/LayerChecker&zip=1
- D:\<user.name>\OSM\TestNew\newicons.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/Surface&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/ParkingLanes&style&zip=1
- D:\<user.name>\OSM\patches\old MPs\dataquality.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/Sidewalks&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Cycleways&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Osmc&style&zip=1
- https://raw.githubusercontent.com/species/josm-preset-wheelchair/master/sidewalks_kerbs.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/LitObjects&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Lit&style&zip=1
- D:\<user.name>\OSM\eigene styles\Tourenplanung.mapcss
- D:\<user.name>\OSM\eigene styles\SpecificBuildingValues\SpecificBuildingValues.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/Coloured_buildings&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Modified&zip=1
- https://github.com/bastik/mapcss-tools/raw/osm/mapnik2mapcss/osm-results/mapnik.zip
- http://www.openrailwaymap.org/styles/standard.mapcss
- D:\<user.name>\OSM\eigene styles\area-symbol.zip
- http://www.freietonne.de/ft_icons/josm/FreieTonne_rules_presets_zip.php
- https://josm.openstreetmap.de/josmfile?page=Styles/NewHighwayColors&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/MaxspeedIcons&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/DestinationSignRelation&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/ParkingLanes&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Incline&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/PTStops&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/AdvertisingStyle&zip=1
- https://www.dropbox.com/s/qo3ai47fpv241jf/Styles_Fixme_and_Notes.zip?raw=1
- https://github.com/gmgeo/osmic-josm-style/archive/master.zip
- https://josm.openstreetmap.de/josmfile?page=Styles/hazmat&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Coloured_Suburb&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Coloured_Postcode&zip=1

Validator rules:
+ https://raw.githubusercontent.com/stefan-a-bauer/josm-validators/master/mtb.validator.mapcss
+ D:\<user.name>\OSM\TestNew\new.validator.mapcss
+ https://josm.openstreetmap.de/josmfile?page=Rules/GermanySpecific&zip=1
- D:\<user.name>\OSM\TestNew\germ.validator.mapcss

Attachments (1)

PLTMS.png (34.5 KB) - added by Klumbumbus 2 years ago.

Download all attachments as: .zip

Change History (13)

Changed 2 years ago by Klumbumbus

Attachment: PLTMS.png added

comment:1 Changed 2 years ago by Klumbumbus

Summary: TMS doesn't load becasue of WMS redirect!?TMS doesn't load because of WMS redirect!?

comment:2 Changed 2 years ago by Klumbumbus

Description: modified (diff)

comment:3 Changed 2 years ago by Klumbumbus

Description: modified (diff)

comment:4 Changed 2 years ago by Klumbumbus

OK, I just noticed that the browser also redirects. But it seems JOSM can't properly handle this.

Using the same TMS URL as custom background in iD works fine.

(My projection is set to Mercator.)

comment:5 Changed 2 years ago by simon04

Summary: TMS doesn't load because of WMS redirect!?Problems when fetching http://wms.misek.pl/geoportal.orto/

JOSM correctly follows the redirect. However, the WMS server http://mapy.geoportal.gov.pl/wss/service/img/guest/ORTO/MapServer/WMSServer isn't returning an image for the JOSM User-Agent:

GET /wss/service/img/guest/ORTO/MapServer/WMSServer?STYLES=default&SERVICE=WMS&FORMAT=image/jpeg&REQUEST=GetMap&HEIGHT=256&WIDTH=256&VERSION=1.1.1&BBOX=18.017578125,52.5763499375,18.0395507812,52.5897007687&LAYERS=Raster&SRS=EPSG:4326&EXCEPTIONS=application/vnd.ogc.se_inimage&TRANSPARENT=false HTTP/1.1
User-Agent: JOSM/1.5 (11265 SVN en) Java/1.8.0_112
Cache-Control: no-cache
Accept-Encoding: gzip
Pragma: no-cache
Host: mapy.geoportal.gov.pl
Accept: text/html, image/gif, image/jpeg, *; q=.2, */*; q=.2
Connection: keep-alive

HTTP/1.0 200 OK
Connection: Keep-Alive
Content-Length: 0

Manually changing the User-Agent fixes the problem:

GET /wss/service/img/guest/ORTO/MapServer/WMSServer?STYLES=default&SERVICE=WMS&FORMAT=image/jpeg&REQUEST=GetMap&HEIGHT=256&WIDTH=256&VERSION=1.1.1&BBOX=18.017578125,52.5763499375,18.0395507812,52.5897007687&LAYERS=Raster&SRS=EPSG:4326&EXCEPTIONS=application/vnd.ogc.se_inimage&TRANSPARENT=false HTTP/1.1
User-Agent: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/54.0.2840.100 Safari/537.36
Cache-Control: no-cache
Accept-Encoding: gzip
Pragma: no-cache
Host: mapy.geoportal.gov.pl
Accept: text/html, image/gif, image/jpeg, *; q=.2, */*; q=.2
Connection: keep-alive

HTTP/1.1 200 OK
Content-Type: image/jpeg
Transfer-Encoding: chunked
Date: Sun, 20 Nov 2016 17:17:16 GMT
X-Cnection: close

...

comment:6 Changed 2 years ago by Klumbumbus

So the provider of the WMS server would need to adjust its settings to accept the JOSM User-agent?
Or should we simply ignore this one since we have the working WMS in our list?

comment:7 Changed 2 years ago by simon04

http://{header(User-Agent,Mozilla/5.0)}wms.misek.pl/geoportal.orto/tms/{zoom}/{x}/{y} works. According to wiki:Maps#TileMapServicesTMS, we can specify custom HTTP headers.

comment:8 in reply to:  6 Changed 2 years ago by stoecker

Replying to Klumbumbus:

So the provider of the WMS server would need to adjust its settings to accept the JOSM User-agent?

Unlikely. Normally the user agent should have no effect, so when it has an effect it can be assumed, that a special handling for that User-Agent is in effect (except in cases of very strange setups). Maybe they block JOSM agent due to load reasons?

comment:9 Changed 2 years ago by Klumbumbus

Since there is no real problem atm, I simply added it as comment: https://josm.openstreetmap.de/wiki/Maps/Poland?sfp_email=&sfph_mail=&action=diff&version=55&old_version=54&sfp_email=&sfph_mail=

However there is a little trac problem. It displays the {mirror} link at [Maps/Poland] anyway, which ends in an Exception: Mirror 1 not found. error.

comment:10 Changed 2 years ago by wiktorn

Component: Core imageryTrac
Owner: changed from team to stoecker

comment:11 Changed 2 years ago by wiktorn

Actually - user agents containing "Java" are blocked by Geoportal. Never got any answer why it is so.

comment:12 Changed 2 years ago by stoecker

Resolution: fixed
Status: newclosed

Fixed trac issue.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain stoecker.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.